package ovh.herisson.Clyde.Repositories;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import ovh.herisson.Clyde.Tables.Curriculum;
import ovh.herisson.Clyde.Tables.User;
import ovh.herisson.Clyde.Tables.UserCurriculum;

import java.util.ArrayList;

public interface UserCurriculumRepository extends CrudRepository<UserCurriculum, Long> {

    @Query("select uc.curriculum from UserCurriculum uc where uc.user = ?1")
    Curriculum findByUser(User student);

    ArrayList<UserCurriculum> findByUserOrderByCurriculum(User student);
}
