import {restGet, restPatch, restPost} from "@/rest/restConsumer.js";

export async function createExemptionsRequest(exempReq){
    return restPost("/exemptionreq", exempReq)
}

export async function createScholarshipRequest(reqInfo){
    return restPost("/scholarshipreq", reqInfo)
}

export async function getAllScholarShipsRequest(){
    return restGet("/scholarshipreq")
}

export async function getAllExemptionsRequest(){
    return restGet("/exemptionsreq")
}

export async function editEquivalenceState(id, newstate){
    return restPatch("/request/registerequiv/"+id+"/"+newstate)
}